<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:22:33 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Interface org.eclipse.papyrus.designer.components.FCM.Port (org.eclipse.papyrus.designer.components.fcm.profile 0.7.5-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.eclipse.papyrus.designer.components.FCM.Port (org.eclipse.papyrus.designer.components.fcm.profile 0.7.5-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/components/FCM/class-use/Port.html" target="_top">Frames</a></li>
<li><a href="Port.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface org.eclipse.papyrus.designer.components.FCM.Port" class="title">Uses of Interface<br>org.eclipse.papyrus.designer.components.FCM.Port</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.components.FCM">org.eclipse.papyrus.designer.components.FCM</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.components.FCM.impl">org.eclipse.papyrus.designer.components.FCM.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.components.FCM.profile">org.eclipse.papyrus.designer.components.FCM.profile</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.components.FCM.util">org.eclipse.papyrus.designer.components.FCM.util</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.eclipse.papyrus.designer.components.FCM">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a> in <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/package-summary.html">org.eclipse.papyrus.designer.components.FCM</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subinterfaces, and an explanation">
<caption><span>Subinterfaces of <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a> in <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/package-summary.html">org.eclipse.papyrus.designer.components.FCM</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/TemplatePort.html" title="interface in org.eclipse.papyrus.designer.components.FCM">TemplatePort</a></span></code>
<div class="block">A representation of the model object '<em><b>Template Port</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/package-summary.html">org.eclipse.papyrus.designer.components.FCM</a> that return <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a></code></td>
<td class="colLast"><span class="typeNameLabel">FCMFactory.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/FCMFactory.html#createPort--">createPort</a></span>()</code>
<div class="block">Returns a new object of class '<em>Port</em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.designer.components.FCM.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a> in <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/impl/package-summary.html">org.eclipse.papyrus.designer.components.FCM.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/impl/package-summary.html">org.eclipse.papyrus.designer.components.FCM.impl</a> that implement <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/impl/PortImpl.html" title="class in org.eclipse.papyrus.designer.components.FCM.impl">PortImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Port</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/impl/TemplatePortImpl.html" title="class in org.eclipse.papyrus.designer.components.FCM.impl">TemplatePortImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Template Port</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/impl/package-summary.html">org.eclipse.papyrus.designer.components.FCM.impl</a> that return <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a></code></td>
<td class="colLast"><span class="typeNameLabel">FCMFactoryImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/impl/FCMFactoryImpl.html#createPort--">createPort</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.designer.components.FCM.profile">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a> in <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/package-summary.html">org.eclipse.papyrus.designer.components.FCM.profile</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/package-summary.html">org.eclipse.papyrus.designer.components.FCM.profile</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Type</code></td>
<td class="colLast"><span class="typeNameLabel">IMappingRule.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html#calcDerivedType-org.eclipse.papyrus.designer.components.FCM.Port-boolean-">calcDerivedType</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;p,
               boolean&nbsp;update)</code>
<div class="block">Calculate the derived portType</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html" title="interface in org.eclipse.papyrus.designer.components.FCM">PortKind</a></code></td>
<td class="colLast"><span class="typeNameLabel">PortMapUtil.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html#getBoundType-org.eclipse.papyrus.designer.components.FCM.Port-">getBoundType</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html" title="interface in org.eclipse.papyrus.designer.components.FCM">PortKind</a></code></td>
<td class="colLast"><span class="typeNameLabel">ITemplateMappingRule.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/ITemplateMappingRule.html#getBoundType-org.eclipse.papyrus.designer.components.FCM.Port-">getBoundType</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port)</code>
<div class="block">Return the bound type</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Class</code></td>
<td class="colLast"><span class="typeNameLabel">PortMapUtil.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html#getDerivedClass-org.eclipse.papyrus.designer.components.FCM.Port-java.lang.String-">getDerivedClass</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port,
               <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix)</code>
<div class="block">Get or create a derived interface for a port using a fixed prefix
 type name</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Class</code></td>
<td class="colLast"><span class="typeNameLabel">PortMapUtil.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html#getDerivedClass-org.eclipse.papyrus.designer.components.FCM.Port-java.lang.String-boolean-">getDerivedClass</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port,
               <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix,
               boolean&nbsp;update)</code>
<div class="block">Get or create a derived interface for a port using a fixed prefix
 type name</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Interface</code></td>
<td class="colLast"><span class="typeNameLabel">PortMapUtil.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html#getDerivedInterface-org.eclipse.papyrus.designer.components.FCM.Port-java.lang.String-">getDerivedInterface</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port,
                   <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix)</code>
<div class="block">Get a derived interface of a port.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Interface</code></td>
<td class="colLast"><span class="typeNameLabel">PortMapUtil.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html#getDerivedInterface-org.eclipse.papyrus.designer.components.FCM.Port-java.lang.String-boolean-">getDerivedInterface</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port,
                   <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix,
                   boolean&nbsp;update)</code>
<div class="block">Get or create a derived interface for a port using a fixed prefix
 type name</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Type</code></td>
<td class="colLast"><span class="typeNameLabel">PortMapUtil.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html#getDerivedType-org.eclipse.papyrus.designer.components.FCM.Port-">getDerivedType</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port)</code>
<div class="block">b
 Calculate derived required interface in function of port type and kind</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html" title="interface in org.eclipse.papyrus.designer.components.FCM.profile">IMappingRule</a></code></td>
<td class="colLast"><span class="typeNameLabel">PortMapUtil.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html#getMappingRule-org.eclipse.papyrus.designer.components.FCM.Port-">getMappingRule</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port)</code>
<div class="block">Get the mapping rule for a port</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Class</code></td>
<td class="colLast"><span class="typeNameLabel">PortMapUtil.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html#getOrCreateDerivedClass-org.eclipse.papyrus.designer.components.FCM.Port-java.lang.String-">getOrCreateDerivedClass</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port,
                       <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix)</code>
<div class="block">Get or create a derived interface for a port using a fixed prefix
 type name</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Interface</code></td>
<td class="colLast"><span class="typeNameLabel">PortMapUtil.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html#getOrCreateDerivedInterface-org.eclipse.papyrus.designer.components.FCM.Port-java.lang.String-">getOrCreateDerivedInterface</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port,
                           <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix)</code>
<div class="block">Get or create a derived interface for a port using a fixed prefix
 type name</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><span class="typeNameLabel">PortMapUtil.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html#needsUpdate-org.eclipse.papyrus.designer.components.FCM.Port-">needsUpdate</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port)</code>
<div class="block">Check whether a port needs to be updated, since its derived interfaces
 are either not existing or out of date.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">IMappingRule.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html#needsUpdate-org.eclipse.papyrus.designer.components.FCM.Port-">needsUpdate</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;p)</code>
<div class="block">check whether a port needs to be updated (recalculation of its derived interfaces)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">PortMapUtil.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html#update-org.eclipse.papyrus.designer.components.FCM.Port-">update</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port)</code>
<div class="block">Update the derived interfaces of a port this operation needs to be
 called in the context of an update command (transaction).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ITemplateMappingRule.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/ITemplateMappingRule.html#updateBinding-org.eclipse.papyrus.designer.components.FCM.Port-">updateBinding</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port)</code>
<div class="block">Update the created binding</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.designer.components.FCM.util">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a> in <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/util/package-summary.html">org.eclipse.papyrus.designer.components.FCM.util</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/util/package-summary.html">org.eclipse.papyrus.designer.components.FCM.util</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/util/FCMSwitch.html" title="type parameter in FCMSwitch">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">FCMSwitch.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/util/FCMSwitch.html#casePort-org.eclipse.papyrus.designer.components.FCM.Port-">casePort</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Port</em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/components/FCM/class-use/Port.html" target="_top">Frames</a></li>
<li><a href="Port.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
